Subject: bug#64418: closed (Re: [bug#64418] [PATCH 0/1] Common Lisp local-time Postgres extension)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 04 Jul 2023 09:20:02 +0000

Your bug report

#64418: [PATCH 0/1] Common Lisp local-time Postgres extension

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64418: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64418
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#64418] [PATCH 0/1] Common Lisp local-time Postgres extension
From: Guillaume Le Vaillant <[email-masked]>
To: Roman Scherer <[email-masked]>
Cc: [email-masked]
Date: Tue, 04 Jul 2023 09:15:14 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I modified your patch to make the package definition for
sbcl-cl-postgres+local-time more concise by inheriting from
sbcl-local-time, given that they have the same source repository.

Patch applied as ec2b5784abc18870c3a1031928f86131d78684ae.
Thanks.

Subject: [PATCH 0/1] Common Lisp local-time Postgres extension
From: Roman Scherer <[email-masked]>
To: [email-masked]
Cc: Roman Scherer <[email-masked]>
Date: Sun, 2 Jul 2023 13:58:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

I was trying to use postmodern with the local-time library. This did not work,
because it looks like the extensions is not compiled with the local-rime time
package. When I tried loading the extension, a compilation was triggered but
ultimatly failed because it was trying to write the compiled fasl file into
the Guix store.

Since the local-time package can be used without postgresql, I created a new
package for just the extension and removed the broken system from the
local-time package in order to not add cl-postgres and postmodern to it.

Could you please review this patch?

Thanks, Roman.

Roman Scherer (1):
  gnu: Add sbcl-postgres+local-time.

 gnu/packages/lisp-xyz.scm | 54 ++++++++++++++++++++++++++++++++++++++-
 1 file changed, 53 insertions(+), 1 deletion(-)

--
2.40.1